package com.yuchen.saas.park.service.exception;

/**
 * @Author: baichaojie
 * @CreateTime: 2024/10/30 16:12
 * @Description: TODO
 * @Version: 1.0
 */
public class ThirdBusinessException extends RuntimeException {
    /**
     * 应答结果
     */
    Integer result;

    /**
     * 应答消息
     */
    String message;

    /**
     * 唯一识别码
     */
    String requestId;

    private ThirdBusinessException(String message) {
        super(message);
    }

    public ThirdBusinessException(Integer result, String message,String requestId) {
        this.result = result;
        this.message = message;
        this.requestId = requestId;
    }



    public Integer getResult() {
        return result;
    }

    public void setResult(Integer result) {
        this.result = result;
    }
    @Override
    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getRequestId() {
        return requestId;
    }

    public void setRequestId(String requestId) {
        this.requestId = requestId;
    }
}
